SXVOL-MODIFY(1)

NAME
sxvol-modify - modify existing volumes

SYNOPSIS
sxvol modify <OPTIONS> sx://[profile@]cluster/volume

DESCRIPTION
Modify configuration of an existing volume. Some settings, such as the volume size or owner, can only be changed by cluster administrators.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-o, --owner=NAME
    Set a new owner of the volume. The old owner will be automatically removed from the volume ACL (it can be granted access again using sxacl(1)) and the new owner will be granted read, write and manager access.

-s, --size=SIZE
    Set a new size of the volume. If the new size is lower than the current space usage of the volume, it will not be possible to store any new data until enough data gets removed to satisfy the limit. The size can be followed by one of the following suffixes: K(-ilobytes), M(-megabytes), G(-igabytes) and T(-erabytes) suffixes.

--max-revisions=NUMBER
    Set a new limit for the number of file revisions kept int the volume. If the new limit is lower than a previous one, the oldest file revisions, which exceed it will be deleted. See sxrev(1) for more information about revisions.

--reset-custom-meta
    Reset custom metadata of the volume. This option should only be used when reconfiguring a filter-enabled volume.

--reset-local-config
    This option resets the local configuration of the volume stored in the SX configuration directory (by default ~/.sx).

-D, --debug
    Enable debug messages

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

EXAMPLES
To make 'bob' the new owner of the volume previously owned by 'joe' run:
sxvol modify -o bob sx://admin@cluster/volume
To change the size of the volume 'data' to 5 gigabytes run:
sxvol modify -s 5G sx://admin@cluster/data

SEE ALSO
sxvol-create(1), sxvol-remove(1)